İçeriğe geç
Twexapi
Türkçe
Esc
gezin⌘Jönizle

Kullanıcı Genel Profilini Getir

Kullanıcı Genel Profilini Getir.

API Belgelerine Dön
/Twitter User About Endpoints
GET/twitter/{screen_name}/about
API Yetkilendirmesi
AuthorizationBearer token · headerzorunlu
TwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Yol Parametreleri
screen_namestringzorunlu
Twitter kullanıcı adı (@ olmadan)
Yanıtlar
200The Twitter User About object with its information.
codeinteger
HTTP durum kodu (200 başarılı anlamına gelir)
default: 200
msgstring
Yanıt mesajı (örn: 'success')
default: "success"
dataTwitterUserAboutResponse | any
Uç nokta tarafından döndürülen ana veri
Özellikleri göster
Any of:
TwitterUserAboutResponse
user_idstringzorunlu
Kullanıcının benzersiz Twitter ID'si
avatarstringzorunlu
Profile avatar image URL
namestringzorunlu
Kullanıcının görünen adı
screen_namestringzorunlu
Twitter kullanıcı adı (@ olmadan)
created_atstringzorunlu
Oluşturulma zamanı (UTC)
profile_image_shapestringzorunlu
Profile image shape (e.g., Circle, Square)
verificationbooleanzorunlu
Whether the user account is verified
userLabelDisplayTypestringzorunlu
User label display type (e.g., Badge)
userLabelTypestringzorunlu
User label type (e.g., BusinessLabel)
is_blue_verifiedbooleanzorunlu
Whether the user has blue verification badge (Twitter Blue/X Premium)
privacy_policy_urlstringzorunlu
Privacy policy or learn more URL
account_based_instringzorunlu
Country or region where the account is based
location_accuratebooleanzorunlu
Whether the location information is accurate
affiliate_usernamestringzorunlu
Affiliated username (e.g., business account username)
sourcestringzorunlu
Source of account creation (e.g., 'United States App Store')
username_changes_countintegerzorunlu
Number of times the username has been changed
override_verified_yearintegerzorunlu
Override verified year (if applicable, negative values indicate special cases)
verified_since_msecintegerzorunlu
Timestamp in milliseconds when the account was verified (negative values indicate special cases)
any
any
422Parametre Doğrulama Hatası
detailValidationError[]
Özellikleri göster
Array of ValidationError
locstring | integer[]zorunlu
Özellikleri göster
Array of string | integer
Any of:
string
string
integer
integer
msgstringzorunlu
Yanıt mesajı (örn: 'success')
typestringzorunlu
inputany
ctxobject
Etkileşimli KonsolGET
Etkileşimli Konsol / API TestiGET
Live Console
🌐Hedef Sunucu:https://api.twexapi.io
● Canlı Ortam Hazır
🔍
Genel Veri Okuma (Yalnızca TwexAPI Anahtarı, Twitter Çerezi Gerekmez)

Bu uç nokta herkese açık Twitter verilerini sorgular — Twitter hesabı veya Çerez gerekmez! Test etmek için aşağıdaki "API Yetkilendirmesi"ne TwexAPI Anahtarınızı (Bearer Token) girmeniz yeterlidir.

🔑API Yetkilendirmesi
⚙️Parametreler (1)
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

İstek
curl -X GET "https://api.twexapi.io/twitter/e/about" \
  -H "Authorization: Bearer YOUR_TOKEN"
Yanıt
{
  "code": 200,
  "msg": "success",
  "data": {
    "user_id": "44196397",
    "avatar": "https://pbs.twimg.com/profile_images/1983681414370619392/oTT3nm5Z_normal.jpg",
    "name": "Elon Musk",
    "screen_name": "elonmusk",
    "created_at": "Tue Jun 02 20:12:29 +0000 2009",
    "profile_image_shape": "Circle",
    "verification": false,
    "userLabelDisplayType": "Badge",
    "userLabelType": "BusinessLabel",
    "is_blue_verified": true,
    "privacy_policy_url": "https://help.twitter.com/managing-your-account/about-twitter-verified-accounts",
    "account_based_in": "United States",
    "location_accurate": true,
    "affiliate_username": "X",
    "source": "United States App Store",
    "username_changes_count": 0,
    "override_verified_year": -3000,
    "verified_since_msec": -156836000000000
  }
}